Bug 538461 - SELinux is preventing /usr/sbin/avahi-autoipd "create" access.
Summary: SELinux is preventing /usr/sbin/avahi-autoipd "create" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8810803ef41...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 16:22 UTC by Tore Anderson
Modified: 2010-06-10 04:12 UTC (History)
4 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:24 UTC


Attachments (Terms of Use)

Description Tore Anderson 2009-11-18 16:22:05 UTC
Summary:

SELinux is preventing /usr/sbin/avahi-autoipd "create" access.

Detailed Description:

[avahi-autoipd has a permissive type (avahi_t). This access was not denied.]

SELinux denied access requested by avahi-autoipd. It is not expected that this
access is required by avahi-autoipd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:avahi_t:s0
Target Context                system_u:system_r:avahi_t:s0
Target Objects                None [ packet_socket ]
Source                        avahi-autoipd
Source Path                   /usr/sbin/avahi-autoipd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           avahi-autoipd-0.6.25-5.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1 SMP
                              Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    on. 18. nov. 2009 kl. 17.18 +0000
Last Seen                     on. 18. nov. 2009 kl. 17.18 +0000
Local ID                      afc14e47-010f-404a-93bb-96333ec53554
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258561129.604:22047): avc:  denied  { create } for  pid=2032 comm="avahi-autoipd" scontext=system_u:system_r:avahi_t:s0 tcontext=system_u:system_r:avahi_t:s0 tclass=packet_socket

node=(removed) type=SYSCALL msg=audit(1258561129.604:22047): arch=c000003e syscall=41 success=yes exit=128 a0=11 a1=2 a2=0 a3=7fff4c453520 items=0 ppid=1285 pid=2032 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="avahi-autoipd" exe="/usr/sbin/avahi-autoipd" subj=system_u:system_r:avahi_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,avahi-autoipd,avahi_t,avahi_t,packet_socket,create
audit2allow suggests:

#============= avahi_t ==============
allow avahi_t self:packet_socket create;

Comment 1 Daniel Walsh 2009-11-18 17:56:50 UTC
Not sure what it is doing, but I will allow


You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Tore Anderson 2009-11-18 18:50:40 UTC
Hey Daniel,

the warning happens when I attempt to connect to my WLAN after having set the IPv4 method in NetworkManager's connection editor to «link-local addresses only».

I think perhaps what it actually want to do is toe establish some kind of a raw socket in order to detect duplicate addresses (RFC 3927 section 2.2.1).

Tore

Comment 3 Fedora Update System 2009-11-23 23:36:03 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 4 Fedora Update System 2009-11-25 15:18:58 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 5 Fedora Update System 2009-12-02 04:30:39 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.